# E-mail Formatter module change log

## E-mail Formatter 2.0.0

- Added Drupal 9 compatibility from [issue #3147293](https://www.drupal.org/project/email_formatter/issues/3147293)
- Added installation thanks and help messages
- Added drupal:field module dependency
- Fixed typos in README.txt
- Fixed version numbers in CHANGELOG.txt
- Replaced README.txt with Markdown formatted README.md, with various updated
  URLs and wording
- Replaced CHANGELOG.txt with Markdown formatted CHANGELOG.md
- Added composer.json configuration file, suggested in [issue #3198515](https://www.drupal.org/project/email_formatter/issues/3198515)
- Fixed views HTML component bug, reported in [issue #3203170](https://www.drupal.org/project/email_formatter/issues/3203170)
- Updated deprecated functions for Drupal 9 compatibility
- Updated README.md requirements wording
- Branched to Composer-style semantic version numbering
- Added Drupal 10 compatibility from [issue #3287172](https://www.drupal.org/project/email_formatter/issues/3287172)
- Fixed drupal/field dependency, reported in [issue #3306893](https://www.drupal.org/project/email_formatter/issues/3306893), patch by lhridley
- Removed unnecessary space character after icon output
- Added Drupal 11 compatibility from [issue #3430087](https://www.drupal.org/project/email_formatter/issues/3430087)

## E-mail Formatter 8.x-1.1

- Fixed truncation bugs
- Fixed truncation settings field format
- Fixed custom text and custom HTML sanitisation
- Added this CHANGELOG.txt

## E-mail Formatter 8.x-1.0

- The initial release
